Package com.destroystokyo.paper

# Enum Class ClientOption.ChatVisibility

java.lang.Object
java.lang.Enum<ClientOption.ChatVisibility>
com.destroystokyo.paper.ClientOption.ChatVisibility

All Implemented Interfaces:
  `Serializable`, `Comparable<ClientOption.ChatVisibility>`, `Constable`, `Translatable`

Enclosing class:
  ClientOption<T>

public static enum ClientOption.ChatVisibility extends Enum<ClientOption.ChatVisibility> implements Translatable

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FULL`
`HIDDEN`
`SYSTEM`
`UNKNOWN`

## Field Summary

Fields
Modifier and Type
Field
Description
`static Index<String,ClientOption.ChatVisibility>`
`NAMES`

## Method Summary

Modifier and Type
Method
Description
`@NotNull String`
`translationKey()`
Gets the translation key.
`static ClientOption.ChatVisibility`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ClientOption.ChatVisibility[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FULL

public static final ClientOption.ChatVisibility FULL

### SYSTEM

public static final ClientOption.ChatVisibility SYSTEM

### HIDDEN

public static final ClientOption.ChatVisibility HIDDEN

### UNKNOWN

public static final ClientOption.ChatVisibility UNKNOWN

## Field Details

### NAMES

public static Index<String,ClientOption.ChatVisibility> NAMES

## Method Details

### values

public static ClientOption.ChatVisibility[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ClientOption.ChatVisibility valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### translationKey

@NotNull public @NotNull String translationKey()
Description copied from interface: `net.kyori.adventure.translation.Translatable`
Gets the translation key.

Specified by:
  `translationKey` in interface `Translatable`
Returns:
  the translation key